<template>
  <div class="heading" :class="{ 'underline': showUnderline, 'reverse-order': trailingIcon }">
    <div class="logo">
      <Icon icon="twemoji:atom-symbol" class="icon-logo" />
    </div>
    <h1>{{ title }}</h1>
  </div>
</template>

<script setup>
import { computed, defineProps } from "vue";

const props = defineProps({
  title: String,
  underline: {
    type: Boolean,
    default: true
  },
  trailingIcon: {
    type: Boolean,
    default: false
  },
});

const showUnderline = computed(() => props.underline);
</script>

<style scoped>
.heading {
  display: flex;
  align-items: center;
  justify-content: flex-start;
  margin-bottom: 1em;
}

.reverse-order {
  flex-direction: row-reverse;
  justify-content: flex-end;
}

.underline {
  border-bottom: 1px #000 solid;
}

h1 {
  font-size: 2.4em;
  margin: 0;
  font-weight: bold;
}

.icon-logo {
  font-size: 40px; 
  margin-right: 0.25em;
  margin-left: 0.25em;
}
</style>
